# Data Elements

- [Send Data to parcelLab](https://docs.parcellab.com/docs/developers/v2/data-elements/send-data.md): Send us your tracking and order data via one of our flexible integration options so we can track your deliveries and communicate status updates with your customers..
- [File Transfers](https://docs.parcellab.com/docs/developers/v2/data-elements/send-data/file-transfers.md): File-based exchange supports file formats like .csv, .xml or EDIFACT and allows for easy integration.
- [Emails](https://docs.parcellab.com/docs/developers/v2/data-elements/send-data/emails.md): The email-based transmission is limited in terms of flexibility and data quality but offers a zero-effort integration into parcelLab.
- [Get Status Updates](https://docs.parcellab.com/docs/developers/v2/data-elements/get-status-updates.md): Provide the latest status of their orders to your customers via our powerful integration options.
- [Webhooks](https://docs.parcellab.com/docs/developers/v2/data-elements/get-status-updates/webhooks.md): All event information can be automatically fed back into the shop systems using webhooks.
- [Carrier Integration](https://docs.parcellab.com/docs/developers/v2/data-elements/carrier-integration.md): At parcelLab, we can integrate with any carrier, in any country, in any language to bring you worldwide coverage with all available carrier options.
- [Data Transmission](https://docs.parcellab.com/docs/developers/v2/data-elements/carrier-integration/data-transmission.md): Choose one of our data transfer methods to send us your data with ease.
- [Scans and Status Events](https://docs.parcellab.com/docs/developers/v2/data-elements/carrier-integration/scans-and-status-events.md): Scans and status events describe physical scans of goods or events during the handling of the order.
- [Live Geo Tracking](https://docs.parcellab.com/docs/developers/v2/data-elements/carrier-integration/live-geo-tracking.md): During the last mile of the delivery, the recipient can be provided with a real-time update of the current progress of their delivery through parcelLab's live geo tracking.
- [Data Model](https://docs.parcellab.com/docs/developers/v2/data-elements/data-model.md): The data model covers the foundational elements of a tracking and order record in the parcelLab system via our API v2 LTS.
- [Status Model](https://docs.parcellab.com/docs/developers/v2/data-elements/status-model.md): The parcelLab platform operates with a status model containing codes that are mapped to each tracking update.


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.parcellab.com/docs/developers/v2/data-elements.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
